package models

import (
	"time"
)

type CmRectification struct {
	Id            int       `xorm:"not null pk comment('自增ID') INT(11)"`
	ProjectId     int       `xorm:"not null comment('项目ID') INT(11)"`
	BidsectionId  int       `xorm:"not null comment('标段id') INT(11)"`
	AccountId     int       `xorm:"comment('账号ID') INT(11)"`
	DataType      int       `xorm:"not null comment('数据类型(1安全2质量)') TINYINT(1)"`
	DataId        int       `xorm:"comment('数据ID') INT(11)"`
	Status        int       `xorm:"comment('状态(0未完成1完成)') TINYINT(1)"`
	Content       string    `xorm:"comment('内容') VARCHAR(3072)"`
	RectifiedTime time.Time `xorm:"comment('整改时间') DATETIME"`
	CreateTime    time.Time `xorm:"comment('创建时间') DATETIME"`
	UpdateTime    time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
